.TH XMusic USC
.SH NAME
XMusic \- an X Window System front end for Csound
.SH SYNOPSIS
xmusic
.I [filename]
.SH DESCRIPTION
.PP
.I XMusic
is a utility running under Version 10, Release 4 of the X Window System.
Its purpose is to simplify the process of constructing of Csound orchestra files.
The user arranges icons in an X window, connecting them using the mouse and
changing attributes of the Csound functions represented by the icons in the
diagram.  When the user has created a satisfactory ``picture'' of the instrument(s),
.I XMusic
will translate the diagram's content into a compilable Csound orchestra file.
.PP
.I XMusic
may take a filename as a command line argument.  This file contains an XMusic
diagram the user has previously saved.
.PP
.I XMusic
is meant to be used in conjunction with Csound \-\- without the
Csound package, XMusic is only a nice looking toy.
.SH XDEFAULTS
XMusic recognizes several X defaults which may be placed in your .Xdefaults
file.
.PP
.TP 8
.B Foreground
Specifies the foreground color of all XMusic windows.
.PP
.TP 8
.B Background
Specifies the background color of all XMusic windows.
.PP
.TP 8
.B Border
Specifies the border color of all XMusic windows.
.PP
.TP 8
.B ReverseVideo
If ``on'', reverse the definition of the foreground and background colors.
.PP
.TP 8
.B MusicFont
Specifies the name of the font to use for labelling items in the Music window
and when prompting the user for input values.
.PP
.TP 8
.B InfoFont
Specifies the name of the font to use getting information about a particular tool.
.SH ENVIRONMENT
DISPLAY \- to get the default host and display number.
.SH "SEE ALSO"
.I "The Csound Reference Manual"
for information about the Csound language.
.SH AUTHOR
.PP
Written by George D. Drapeau at the University of Southern California.
